﻿@using AdminCaja.Areas.Admin.Models.Procedures
@model List<ProcedureFileViewModel>
<div class="table-responsive">

    <table>
        @if (Model != null && Model.Count() > 0)
        {
            var tipo = Model.First().Type;

            <thead>
                <tr>
                    @if (tipo == AdminCaja.Models.ProcedureFileType.document)
                    {
                        <th scope="col">Documento</th>
                    }
                    else
                    {
                        <th scope="col">Formulario</th>
                    }

                    <th scope="col">Archivo</th>
                    <th scope="col">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td data-label="Tipo de trámite">@item.Name</td>
                        <td data-label="Trámite">@item.FileName</td>
                        <td class="comandos" data-label="Acciones">
                            @Html.ActionLink("Editar", "EditFile", new { Id = item.Id }, new { @class = "btn btn-export", data_modal = "popup" })
                            @Html.ActionLink("Eliminar", "DeleteFile", new { Id = item.Id }, new { @class = "btn btn-export", data_modal = "popup" })
                        </td>
                    </tr>
                }

            </tbody>
        }
    </table>
</div>
